<?php 
require_once('../includes/startsession.php');
require_once('../includes/connect.php');
require_once('../PhpJasperLibrary/tcpdf/tcpdf.php');
require_once('../PhpJasperLibrary/PHPJasperXML.inc.php');
require_once('../basic.config');
require_once('../config/ubuyu.config');

//Check whether there is a .jrmxl file. if there is delete it
if(is_file('student_report_personal.jrxml')==true){
	unlink('student_report_personal.jrxml');
}
// Receive GET variables
$sreport_id=$_GET['sreport_id'];
$class_id=$_GET['class_id'];
$st_serial_no=$_GET['st_serial_no'];
$term_id=$_GET['term_id'];
$user_id=$_SESSION['user_id'];

// Leave print log. 
$dbc=mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD, DB_NAME);
$log="INSERT INTO sss_sreport_print".
		" (sreport_id,sp_printdate,sp_printby) ". 
		" VALUES ('$sreport_id',NOW(),'$user_id')";
$log=mysqli_query($dbc,$log) or die ('Error in Query for adding print log!');	

// SET a query for finding academic records
$records="SELECT * FROM sss_subject_assign".
		" LEFT JOIN sss_subject_record".
		" ON sss_subject_assign.as_id = sss_subject_record.as_id".
		" LEFT JOIN sss_subject".
		" ON sss_subject.subject_id = sss_subject_assign.subject_id".
		" WHERE sss_subject_assign.term_id='".$term_id."' && sss_subject_assign.class_id='".$class_id."' && sss_subject_record.st_serial_no='".$st_serial_no."'";
$result=mysqli_query($dbc,$records) or die ('Error in Query for retrieving subject records!');	
$i=1;
while($row= mysqli_fetch_array($result)){
	$somo[$i]=$row['subject_name'];
	$zoezi[$i]=round(($row['sr_test1']+$row['sr_test2']+$row['sr_midterm'])/3,2);
	$jaribio[$i]=$row['sr_terminal'];
	$jumla[$i]=$zoezi[$i]+$row['sr_terminal'];
	$wastani[$i]=$row['sr_avg'];
	$nafasi[$i]=$row['sr_position'];
	$daraja[$i]=$row['sr_grade'];
	$i++;
}	
if ($i!=12){
	for($k=$i; $k<=12; $k++){
		$somo[$k]='';
		$zoezi[$k]='';
		$jaribio[$k]='';
		$jumla[$k]='';
		$wastani[$k]='';
		$nafasi[$k]='';
		$daraja[$k]='';
	}
}

// SET a query for the report. 
$query='SELECT * FROM sss_sreport_info WHERE sreport_id='.$sreport_id.'';
//Set report layout from orginal .jrxml
$xml_upper='<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.1.0.final using JasperReports Library version 6.1.0  -->
<!-- 2015-12-26T14:19:00 -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="student_report_personal" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="7ac21241-0022-4228-aae8-1fcf2bd67baf">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Ubuyu DB Adaptor"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="Table_TH" mode="Opaque" backcolor="#F0F8FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_CH" mode="Opaque" backcolor="#BFE1FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="Dataset1" uuid="93309163-73e0-44eb-8a7d-c826ae8c9956">
		<queryString>
			<![CDATA[]]>
		</queryString>
	</subDataset>
	<queryString>
		<![CDATA[';
$xml_middle=']]>
	</queryString>
	<field name="sreport_id" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_serial_no" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_firstname" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_lastname" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="term_id" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="term_term" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="term_year" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="class_id" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="form_id" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="class_stream" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="pr_id" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="pr_firstname" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="pr_lastname" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="pr_postal_address" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_gpa_overall" class="java.lang.Float">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_division" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_overall_rank" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_total" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_average" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_grade" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_901" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_902" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_903" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_904" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_905" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_906" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_907" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_908" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_909" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_910" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_911" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_912" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_openingdate" class="java.sql.Date">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_fee" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_debt" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_maoni_darasa" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_maoni_mkuu" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_confirm" class="java.lang.Integer">
		<fieldDescription><![CDATA[0: Not Confirmed(default), 1:Confirmed]]></fieldDescription>
	</field>
	<field name="user_id" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_reg_date" class="java.sql.Timestamp">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="sreport_confirm_date" class="java.sql.Timestamp">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="64" splitType="Stretch">
			<staticText>
				<reportElement x="125" y="-1" width="305" height="18" uuid="d09f3996-7fc7-4677-bc31-607d79d3b312"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[JAMUHURI YA MUUNGANO WA TANZANIA]]></text>
			</staticText>
			<staticText>
				<reportElement x="133" y="16" width="295" height="17" uuid="44bea4b8-fc97-4d2d-9d48-f04f5ccba4bc"/>
				<textElement textAlignment="Center">
					<font size="12"/>
				</textElement>
				<text><![CDATA['.$manispaa_name_kiswahili.']]></text>
			</staticText>
			<staticText>
				<reportElement x="120" y="45" width="324" height="13" uuid="84b8ec14-17ae-4c2c-ab0e-ef0588d29007"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[TAARIFA YA MAENDELEO YA MWANAFUNZI KWA MZAZI]]></text>
			</staticText>
			<line>
				<reportElement x="123" y="58" width="311" height="1" uuid="4db8460a-dff1-4c7e-b001-51304c28aba6"/>
			</line>
			<line>
				<reportElement x="123" y="60" width="311" height="1" uuid="cfc189e9-af65-405a-8538-3da22ee7c82f"/>
			</line>
			<staticText>
				<reportElement x="130" y="32" width="294" height="20" uuid="3607f857-52c5-4965-b2fb-752b1aa66d23"/>
				<textElement textAlignment="Center"/>
				<text><![CDATA['.$school_name_kiswahili.']]></text>
			</staticText>
		</band>
	</title>
	<detail>
		<band height="685" splitType="Stretch">
			<staticText>
				<reportElement x="208" y="399" width="60" height="20" uuid="f0098782-867b-416d-99b0-5c94869e8186"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="274" y="48" width="276" height="20" uuid="c5f1579c-2385-4b25-9539-881bbba373cd"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[SERIAL NUMBER  ..............................................]]></text>
			</staticText>
			<staticText>
				<reportElement x="274" y="27" width="274" height="27" uuid="e3ceaeb2-7e80-4744-afce-a4a546fe1079"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[DARASA ............................................................]]></text>
			</staticText>
			<textField>
				<reportElement x="384" y="22" width="60" height="19" uuid="4718e393-fe3c-47a7-955d-b5c270a62dc9"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{form_id}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="4" y="511" width="551" height="20" uuid="2d0bb7de-3b6c-47d1-8c5f-9b1fcf933f04"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="10" isBold="false"/>
				</textElement>
				<text><![CDATA[* MAELEZO   A = Vizuri sana,  B = Vizuri,  C = Wastani,  D = Dhaifu,  F = Mbaya sana]]></text>
			</staticText>
			<staticText>
				<reportElement x="4" y="372" width="196" height="20" uuid="9deb213e-b4c5-4dbf-bc92-2aeb531d4815"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[TABIA, KAZI NA MWENENDO]]></text>
			</staticText>
			<textField>
				<reportElement x="464" y="469" width="83" height="20" uuid="8fe764df-65e1-499b-8331-8fe3f0ddeea0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_911}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="464" y="450" width="83" height="20" uuid="65d8ee4c-74ba-406b-ab8d-f84bdad2f67c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_910}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="464" y="393" width="83" height="20" uuid="1dcbc362-401f-4142-9a9b-11dd9fd3ee58"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_907}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="197" y="393" width="83" height="20" uuid="060a9516-18fa-40ee-a973-14dbd8051b5c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_901}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="197" y="431" width="83" height="20" uuid="c195f99b-00d1-4bc5-a611-9c05293eeef9"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_903}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="464" y="431" width="83" height="20" uuid="38263844-a209-4d45-8384-2bd185ac99d7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_909}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="15" y="27" width="245" height="27" uuid="0fb03786-515d-40d7-ae01-9d6391b53edb"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[S.L.P. ...........................................................]]></text>
			</staticText>
			<textField>
				<reportElement x="320" y="47" width="210" height="19" uuid="a4369a22-7809-4702-87a6-cb750f437369"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{st_serial_no}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="15" y="7" width="245" height="24" uuid="055506d3-2e4a-4629-82e2-e84cb25e60fc"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[MZAZI/MLEZI...............................................]]></text>
			</staticText>
			<textField>
				<reportElement x="453" y="21" width="78" height="20" uuid="a8b6998e-279f-4089-8ea1-9c285d1ea8ba"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{class_stream}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="72" y="6" width="190" height="13" uuid="c84539aa-ff22-41cd-9bfe-8b44a3cdfa09"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{pr_firstname}+", "+$F{pr_lastname}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="15" y="48" width="253" height="20" uuid="756ade2d-37b0-458c-b82f-ab48848987b9"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[MUHULA / MWAKA  ....................................]]></text>
			</staticText>
			<staticText>
				<reportElement x="412" y="25" width="43" height="20" uuid="bb3a5baa-3111-4008-ac91-0feb7e017eb2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Class]]></text>
			</staticText>
			<textField>
				<reportElement x="51" y="27" width="175" height="18" uuid="5b513b9b-433d-44e5-acba-6a2f268b0989"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{pr_postal_address}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="274" y="7" width="276" height="24" uuid="7ed562e1-a5b4-4a43-8665-6a4d4ea297d0"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[JINA LA MWANAFUNZI.....................................]]></text>
			</staticText>
			<textField>
				<reportElement x="100" y="48" width="180" height="18" uuid="a65c7ca9-e3ca-4177-b5e7-d237e194d70a"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA["Term "+$F{term_term}+" / "+$F{term_year}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="407" y="6" width="134" height="13" uuid="fe006d8c-589b-4184-a511-299e692fdf33"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{st_firstname}+", "+$F{st_lastname}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="354" y="25" width="37" height="20" uuid="983f3ec0-c217-40b7-b0c9-e884aa74ba31"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Form]]></text>
			</staticText>
			<staticText>
				<reportElement x="134" y="75" width="56" height="20" uuid="5a705a37-b667-47da-a7e4-e6b27bcd16dd"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None">
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[MAZOEZI]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="75" width="131" height="20" uuid="c3ed21dd-6036-471c-a4d2-baeeb7d415a3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[MASOMO]]></text>
			</staticText>
			<staticText>
				<reportElement x="191" y="75" width="55" height="20" uuid="f2dd0221-084d-455f-9c2e-4cf8387586b1"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[JARIBIO]]></text>
			</staticText>
			<staticText>
				<reportElement x="247" y="75" width="41" height="20" uuid="bf23211a-87e3-43de-b318-cc09b6011219"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[JUMLA]]></text>
			</staticText>
			<staticText>
				<reportElement x="290" y="75" width="60" height="20" uuid="248c8008-a3de-47ec-b97c-5a6c1f61353a"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[WASTANI]]></text>
			</staticText>
			<staticText>
				<reportElement x="348" y="75" width="60" height="20" uuid="63ec07e8-c2c6-4d93-a7a5-f91f6d82b24a"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[NAFASI]]></text>
			</staticText>
			<staticText>
				<reportElement x="407" y="75" width="60" height="20" uuid="2c068837-1a40-43c0-9888-1d211ff6aee2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[DARAJA]]></text>
			</staticText>
			<staticText>
				<reportElement x="468" y="75" width="80" height="20" uuid="dc45739f-8db0-4279-b072-0da02a72fad7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[SAHIHI]]></text>
			</staticText>
			<line>
				<reportElement key="" x="-2" y="72" width="557" height="1" uuid="242aaed4-a03c-4123-944c-d2a31315ce01">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="92" width="557" height="1" forecolor="#757575" uuid="94c3e694-e797-405a-bba5-daeeebbc516e"/>
			</line>';
$xml_repeat='<staticText>
				<reportElement x="2" y="95" width="132" height="20" uuid="6d7f3613-647f-49d1-9544-e651b81b4a48"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[1].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="95" width="60" height="20" uuid="04f62165-94a6-492c-bd2f-ea03ea57a085"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[1].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="95" width="60" height="20" uuid="eb4de11e-c6d7-433a-9ae3-00f72a3b6bff"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[1].']]></text>
			</staticText>
			<staticText>
				<reportElement x="239" y="95" width="60" height="20" uuid="a037ddb9-36ff-485b-98fa-6db53ee058bd"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[1].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="95" width="60" height="20" uuid="0ab103c0-eef2-44f5-82c3-3f413dc07c35"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[1].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="95" width="60" height="20" uuid="7284dd57-b95e-4834-a78d-4dcb1b357000"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[1].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="95" width="60" height="20" uuid="dd75cf8e-b9b4-48e1-9085-003c74134d03"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[1].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="95" width="60" height="20" uuid="9dfd6217-d100-431c-acc8-a4df7e1a88ce"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="113" width="132" height="20" uuid="45da40ed-223d-4dfa-92f0-5d75717bc4fc"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[2].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="113" width="60" height="20" uuid="0a49f2f1-65a3-408c-bdb4-5407dfe209a1"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[2].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="113" width="60" height="20" uuid="7ac4bb36-1f8d-410b-baff-592dd1e944f4"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[2].']]></text>
			</staticText>
			<staticText>
				<reportElement x="239" y="113" width="60" height="20" uuid="08d8517b-059e-4780-b336-9de1cffc1de7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[2].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="292" y="113" width="60" height="20" uuid="ef881155-fcf7-4e6d-8b9e-9d4f62effa81"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[2].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="113" width="60" height="20" uuid="d801c958-c72d-434a-8724-f750a28ba153"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[2].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="113" width="60" height="20" uuid="7941f0ae-e277-4a54-9575-a265d58f8fde"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[2].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="113" width="60" height="20" uuid="00c9e34f-34c0-45ca-b03e-fdc31b99e568"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="131" width="132" height="20" uuid="28f000b9-18f5-4ace-b173-455772bdd2b5"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[3].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="131" y="131" width="60" height="20" uuid="c71c93fb-825a-484a-a63a-96eedcd51b29"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[3].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="131" width="60" height="20" uuid="4c5e2284-3dcc-4ae2-9a78-839cada689af"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[3].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="239" y="131" width="60" height="20" uuid="dbafc13d-1a3a-45ae-ab54-0991e5318427"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[3].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="131" width="60" height="20" uuid="7247a2e0-4987-46ec-980c-172fdab1cfe0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[3].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="131" width="60" height="20" uuid="5baece4e-ddea-4233-9418-dc8f41068605"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[3].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="131" width="60" height="20" uuid="d1c109ed-e0f1-45ab-81e8-47be4b0ed662"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[3].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="131" width="60" height="20" uuid="a60621a1-2b23-4265-80d4-046cab6015e0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="149" width="132" height="20" uuid="03ebe450-b53d-4a15-9d7a-a1e101b860b6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[4].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="149" width="60" height="20" uuid="4e5bb27b-38c6-4eb1-8d2a-ad7eb15ad12c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[4].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="189" y="149" width="60" height="20" uuid="185df857-3086-4b66-9e0f-27416f7ca233"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[4].']]></text>
			</staticText>
			<staticText>
				<reportElement x="239" y="149" width="60" height="20" uuid="cad1fb81-5fee-4ec7-b526-601d811a9865"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[4].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="149" width="60" height="20" uuid="8f603992-cc1e-4c9a-af90-aff18acc4e71"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[4].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="149" width="60" height="20" uuid="46f87fd8-6b1c-4c94-8b65-d3148c4deb53"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[4].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="410" y="149" width="60" height="20" uuid="8d49cf1c-e2c1-46f8-8122-3479a60c0c6e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[4].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="149" width="60" height="20" uuid="5cfcf003-30e2-4e9a-9282-05830a2e444d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="166" width="132" height="20" uuid="ef495490-6d1d-4ca1-b617-47b07ff7e98e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[5].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="166" width="60" height="20" uuid="d4bf3057-6d13-4440-8448-73418161a8ba"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[5].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="166" width="60" height="20" uuid="628c9f4b-a4c6-4d62-8140-0b3834f36f82"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[5].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="239" y="166" width="60" height="20" uuid="ec706821-16bb-4bbd-826d-967aea85cfeb"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[5].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="166" width="60" height="20" uuid="de1b3b1b-d6fa-444b-a8e3-d300c74d4105"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[5].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="166" width="60" height="20" uuid="f1ea2440-d512-4e07-937f-0cb4887c571b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[5].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="166" width="60" height="20" uuid="9e9933ab-f250-4645-962f-b31b10d020f7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[5].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="166" width="60" height="20" uuid="6ab6bd59-5a23-4a45-b64c-ebcdf8788125"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="184" width="132" height="20" uuid="aff1fb66-c7e9-41aa-9190-e9bf838973d9"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[6].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="184" width="60" height="20" uuid="a23fccc4-e6d5-4181-9b77-bacd6328d910"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[6].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="184" width="60" height="20" uuid="a6258e67-34c6-44fb-9f6d-f2fd547544b9"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[6].']]></text>
			</staticText>	
			<staticText>
				<reportElement x="239" y="184" width="60" height="20" uuid="f2f4f2c6-8567-4c01-954b-5f77eb6134ac"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[6].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="184" width="60" height="20" uuid="11e04237-4263-4c89-ac60-03721519a3a0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[6].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="350" y="184" width="60" height="20" uuid="7ac1fdfa-5eff-4bd4-8fd9-3e8499dd0576"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[6].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="410" y="184" width="60" height="20" uuid="e9becf8f-c088-4f1e-8951-2d54dfb8757d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[6].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="481" y="184" width="60" height="20" uuid="476617aa-d183-4145-b336-a061fccfa0f3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>						
			<staticText>
				<reportElement x="2" y="202" width="132" height="20" uuid="91422f74-bb77-4008-844a-04d3a305e93d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[7].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="202" width="60" height="20" uuid="0cf16a6a-dc36-45fb-af82-5aad799e16dc"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[7].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="202" width="60" height="20" uuid="6a04e4db-4436-49e1-a1e5-3a413248f7d7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[7].']]></text>
			</staticText>						
			<staticText>
				<reportElement x="239" y="202" width="60" height="20" uuid="a248f817-22bb-4348-a2dc-41c200ea97b0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[7].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="292" y="202" width="60" height="20" uuid="d209a932-4a5d-407e-be24-0b3b1e2d5bc6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[7].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="350" y="202" width="60" height="20" uuid="b200bd14-4ad6-4a1c-a3aa-5febc218c7d5"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[7].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="202" width="60" height="20" uuid="1ab5b1d3-41ff-4d2b-810e-daa1fbd4745a"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[7].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="202" width="60" height="20" uuid="c854e6d4-77f2-4bef-83bb-b27481820ae2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="220" width="132" height="20" uuid="149ffda4-e539-4c54-9b35-e0d35f536ca1"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[8].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="220" width="60" height="20" uuid="94192187-9025-4cff-af8e-7e88d5f9cfc9"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[8].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="220" width="60" height="20" uuid="3840fb61-18f5-42b3-b23b-b4f62224c606"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[8].']]></text>
			</staticText>
			<staticText>
				<reportElement x="239" y="220" width="60" height="20" uuid="e7a5c4a8-b723-4dc7-b5cc-6cba732c35d6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[8].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="220" width="60" height="20" uuid="f37f516d-972d-490a-88f2-8d60733eda53"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[8].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="220" width="60" height="20" uuid="2db0151d-d39a-4e1d-b8e1-d49f4d233fba"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[8].']]></text>
			</staticText>		
			<staticText>
				<reportElement x="410" y="220" width="60" height="20" uuid="c2df1190-f402-4131-8460-37893c8c68e0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[8].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="220" width="60" height="20" uuid="1fc3e77d-8d7a-41c9-91e2-b3ed3fd66d07"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="238" width="132" height="20" uuid="f82aea4a-becc-4f4e-ac0b-6f40b16f0233"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[9].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="238" width="60" height="20" uuid="c94f7992-c65a-417d-9de2-c585d51c4937"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[9].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="238" width="60" height="20" uuid="cd316f34-267c-417e-8105-932d5581b5f8"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[9].']]></text>
			</staticText>
			<staticText>
				<reportElement x="239" y="238" width="60" height="20" uuid="1a9c8816-459a-4348-9e02-28f80d6a604c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[9].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="238" width="60" height="20" uuid="87453d43-66d7-404c-a2ac-5fce4c152d9c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[9].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="238" width="60" height="20" uuid="db5d2ef3-6b30-4f0a-9b47-4eaa4336aeeb"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[9].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="238" width="60" height="20" uuid="6dfd7427-17e5-432c-aea4-b2110e709040"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[9].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="238" width="60" height="20" uuid="138df1cc-31e3-484b-aa54-d6f618eaf852"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="255" width="132" height="20" uuid="4ce424ee-d6d3-471b-9a98-68199a8402d0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[10].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="255" width="60" height="20" uuid="10b969b3-0cc3-42af-a8b6-5f10d8a3f2a0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[10].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="189" y="255" width="60" height="20" uuid="1b4db7a1-1da9-4827-a902-44273cb6a212"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[10].']]></text>
			</staticText>
			<staticText>
				<reportElement x="239" y="255" width="60" height="20" uuid="ef79ed47-465f-4e4b-a051-224255115053"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[10].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="255" width="60" height="20" uuid="08a86c9f-6c38-42c1-8086-53454fd64484"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[10].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="255" width="60" height="20" uuid="a2ac937d-a918-41a5-9b3c-80379215b9ce"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[10].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="255" width="60" height="20" uuid="33408698-bf36-40bc-b2e7-e35d96262d55"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[10].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="255" width="60" height="20" uuid="4d5edc26-9278-4866-a399-c0b37a4c7ba3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>

			<staticText>
				<reportElement x="2" y="272" width="132" height="20" uuid="cad8f3df-b4a4-40ee-a29c-88752b28a78e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[11].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="272" width="60" height="20" uuid="7ac7fb97-4e74-44f1-9031-7b1147dcc89d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[11].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="189" y="272" width="60" height="20" uuid="21dc6d08-93ce-4552-b22a-32add7fe5ece"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[11].']]></text>
			</staticText>
			<staticText>
				<reportElement x="239" y="272" width="60" height="20" uuid="37c76a1c-3584-412b-b181-caf0aa678eb9"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[11].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="272" width="60" height="20" uuid="9c191aa2-586e-4d36-9b1a-11f8d572dcde"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[11].']]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="272" width="60" height="20" uuid="7a11ec70-8eb3-486e-914e-52c4c4921542"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[11].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="272" width="60" height="20" uuid="46dc204b-7a83-48cf-8893-0d086d55e285"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[11].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="481" y="272" width="60" height="20" uuid="428ef858-fc32-4278-a564-06bc12819842"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>			
			<staticText>
				<reportElement x="2" y="289" width="132" height="20" uuid="137a0b3c-24b5-43dd-bec9-b714835b643c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA['.$somo[12].']]></text>
			</staticText>
			<staticText>
				<reportElement x="131" y="289" width="60" height="20" uuid="1baf8739-1754-4eb2-8b2c-16216a78dde1"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$zoezi[12].']]></text>
			</staticText>
			<staticText>
				<reportElement x="189" y="289" width="60" height="20" uuid="b8b2b911-7b56-49fd-a5dd-71ee064a7189"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jaribio[12].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="239" y="289" width="60" height="20" uuid="cd544c23-f29c-44ac-9630-2d8e023a543c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$jumla[12].']]></text>
			</staticText>
			<staticText>
				<reportElement x="292" y="289" width="60" height="20" uuid="601703fe-1a77-4b3a-970c-32d1c7f133b5"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$wastani[12].']]></text>
			</staticText>			
			<staticText>
				<reportElement x="350" y="289" width="60" height="20" uuid="9f73f811-c290-434b-ac17-7c9ef0d86f28"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$nafasi[12].']]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="289" width="60" height="20" uuid="7d4d2cf1-6487-49d8-b28e-0e94dd6672e5"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA['.$daraja[12].']]></text>
			</staticText>
			<staticText>
				<reportElement x="481" y="289" width="60" height="20" uuid="612bba42-80a7-414e-92a5-ef8ddcfb0d13"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[...................]]></text>
			</staticText>';
$xml_bottom='
			<textField>
				<reportElement x="437" y="308" width="108" height="13" uuid="1bb47818-354e-4e98-a2dc-cb5dae3aedd6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_grade}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="11" y="333" width="166" height="20" uuid="176ba752-c07b-43ce-8080-6cc690bfd529"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[DIVISION: ...................................]]></text>
			</staticText>
			<textField>
				<reportElement x="276" y="308" width="98" height="13" uuid="a84bc5e8-2f86-4acc-8fd7-1a1e4aeaa8b8"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_average}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="347" y="333" width="203" height="20" uuid="ff33aab4-d614-414b-a4b0-35740caed328"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Agre. Position: .........................................]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="312" width="216" height="20" uuid="0bc7facb-ffcd-4d6c-99bd-0fa0297173a6"/>
				<textElement textAlignment="Center">
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[JUMLA YA MAKSI: ......................................]]></text>
			</staticText>
			<staticText>
				<reportElement x="384" y="312" width="160" height="20" uuid="1120ab1b-d7c9-4bf9-ab78-c5aa807c581b"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[DARAJA: .....................................]]></text>
			</staticText>
			<textField>
				<reportElement x="61" y="329" width="100" height="14" uuid="258e0cb9-a3aa-4bd9-bdad-06f335d0e8aa"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{sreport_division}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="192" y="333" width="151" height="20" uuid="155f7fb5-11da-4d05-b99c-31bb7ffc6ad2"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[G.P.A : ..............................]]></text>
			</staticText>
			<staticText>
				<reportElement x="224" y="312" width="136" height="20" uuid="b3f6370f-bdae-4415-a4d5-5c1af41898af"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[WASTANI: ............................]]></text>
			</staticText>
			<textField>
				<reportElement x="414" y="327" width="127" height="16" uuid="cafd1483-843b-4a13-a66d-f8f968d97863"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_overall_rank}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="221" y="328" width="89" height="13" uuid="0385b267-2c64-4389-a705-cdff55bf76e0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_gpa_overall}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="105" y="308" width="87" height="13" uuid="9d0c3ca1-c66a-4b79-88c7-dbcce2831816"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_total}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="7" y="395" width="193" height="20" uuid="ebe2179f-4c22-4401-8c48-3fa50771cae2"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[901  Utendaji wa kazi]]></text>
			</staticText>
			<staticText>
				<reportElement x="293" y="395" width="182" height="20" uuid="185a56ce-99f9-4f9f-845b-e6782c9be27b"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[907  Uongozi]]></text>
			</staticText>
			<staticText>
				<reportElement x="476" y="399" width="60" height="20" uuid="3540b0b9-598b-4058-ac0c-56910d8a6033"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="7" y="414" width="214" height="20" uuid="107dc11a-bbf7-4003-8c70-fb29c3a0b36a"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[902  Anapenda shughuli za kujenga Taifa]]></text>
			</staticText>
			<staticText>
				<reportElement x="476" y="418" width="60" height="20" uuid="e2f36926-3e85-43d4-9c02-dc4e2f31cb0a"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="208" y="418" width="60" height="20" uuid="77d5a022-7b96-4c8a-a761-3cd9b1d2c239"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<textField>
				<reportElement x="464" y="412" width="83" height="20" uuid="5734bcb5-d8dc-4d30-9653-e52bd1b4b572"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_908}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="293" y="414" width="182" height="20" uuid="320cf966-0fff-4900-83ee-cf9d963abed4"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[908  Mtiifu]]></text>
			</staticText>
			<textField>
				<reportElement x="197" y="412" width="83" height="20" uuid="119ad441-0054-49d1-bba0-7fc14581a853"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_902}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="197" y="450" width="83" height="20" uuid="804e5600-b23a-4409-b620-ef2e2a994753"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_904}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="7" y="433" width="193" height="20" uuid="a1c1e3e7-71af-486f-9816-36147bbbbff4"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[903  Bidii na Maarifa]]></text>
			</staticText>
			<staticText>
				<reportElement x="476" y="437" width="60" height="20" uuid="d23e72c9-a066-49f5-a0c5-10af121e89ef"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="208" y="437" width="60" height="20" uuid="0b2ef6b1-ad1a-4fcb-a25a-8c149bd530ee"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="476" y="456" width="60" height="20" uuid="fefda32b-5ff4-4fd8-8f95-9d199f1b8c23"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="293" y="433" width="182" height="20" uuid="df545807-0c38-4884-bda9-565a680cf62d"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[909  Msafi]]></text>
			</staticText>
			<staticText>
				<reportElement x="7" y="452" width="214" height="20" uuid="dcde65bf-b769-44eb-ac4c-706fbad2f03d"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[904  Mwaminifu kwa mali ya UMMA]]></text>
			</staticText>
			<staticText>
				<reportElement x="293" y="452" width="182" height="20" uuid="1d46e88c-02f7-4ac9-8f2c-55844431204b"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[910  Mwaminifu]]></text>
			</staticText>
			<staticText>
				<reportElement x="208" y="456" width="60" height="20" uuid="d812d8f9-9df0-488b-af6b-2a12bb407fc5"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="208" y="494" width="60" height="20" uuid="bc9baf35-8248-44bb-86e2-aa96c7ef41a7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="476" y="475" width="60" height="20" uuid="5e550744-a069-46d4-93c6-c6ab4337367f"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<textField>
				<reportElement x="464" y="488" width="83" height="20" uuid="414522ac-838b-4f0e-8ad0-4f092314de71"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_912}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="7" y="471" width="193" height="20" uuid="139bb0d6-d610-41ca-bcce-6eaa6bad6784"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[905  Uelewano na Uhirikiano]]></text>
			</staticText>
			<textField>
				<reportElement x="197" y="488" width="83" height="20" uuid="95c4bd77-8acf-4d59-9d96-02330a456a35"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_906}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="197" y="469" width="83" height="20" uuid="8102490e-233b-4396-81ea-335cb540fee3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_905}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="476" y="494" width="60" height="20" uuid="07e89401-b6f0-42a6-aec7-6a2a4e087323"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="293" y="471" width="182" height="20" uuid="8f975f99-280c-4fa9-8278-73e61d62e406"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[911  Utamaduni/ Michezo]]></text>
			</staticText>
			<staticText>
				<reportElement x="7" y="490" width="214" height="20" uuid="e9c378f7-07af-449b-95fb-23f6e853ffaf"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[906  Heshima]]></text>
			</staticText>
			<staticText>
				<reportElement x="293" y="490" width="182" height="20" uuid="b55b38f5-2876-40fd-aa8a-56e9efbc842d"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="11" isBold="false"/>
				</textElement>
				<text><![CDATA[912  Mahudhurio & Kuwahi]]></text>
			</staticText>
			<staticText>
				<reportElement x="208" y="475" width="60" height="20" uuid="b12e379a-fb4a-460c-9b3d-e9b197c368f7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[.................]]></text>
			</staticText>
			<staticText>
				<reportElement x="4" y="543" width="393" height="20" uuid="cbd1eb0d-3e0a-48eb-8567-0dd2202ac457"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Shuele itafunguliwa tarehe  ..................................................]]></text>
			</staticText>
			<staticText>
				<reportElement x="4" y="567" width="496" height="20" uuid="c79451be-e005-4351-b5fd-d7b240430f93"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Mwanaoaje na Ada Shs ..........................................  deni (                           ) Shs]]></text>
			</staticText>
			<staticText>
				<reportElement x="4" y="597" width="543" height="41" uuid="99fb743e-4fc9-45e4-8710-2e06b13da7ed"/>
				<textElement textAlignment="Left" verticalAlignment="Top">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Maoni ya Mwalimu wa Darasa
............................................................................................................................ sahihi .........................]]></text>
			</staticText>
			<staticText>
				<reportElement x="4" y="636" width="543" height="41" uuid="74f0c3e9-cc60-4627-934d-714fdaee619a"/>
				<textElement textAlignment="Left" verticalAlignment="Top">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Maoni ya Mkuu wa Shule
............................................................................................................................ sahihi .........................]]></text>
			</staticText>
			<textField>
				<reportElement x="169" y="539" width="174" height="18" uuid="fd2f28c0-ad28-4e05-8d01-76f6abd1bcbe"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_openingdate}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="149" y="565" width="139" height="16" uuid="4ae99e75-d166-443b-91d3-a47ffeb49eca"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_fee}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="310" y="566" width="100" height="15" uuid="87e44668-538e-40db-8909-6536c3ba1035"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_debt}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="9" y="610" width="413" height="15" uuid="02266724-7e7a-4bcf-854b-c9dd183a5449"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{sreport_maoni_darasa}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="" x="0" y="389" width="557" height="1" isPrintInFirstWholeBand="true" backcolor="#000000" uuid="a84afce3-7c2d-431c-82da-97fdb6a13c13">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="1" y="511" width="557" height="1" forecolor="#000000" uuid="08ee75d8-c69e-4a9a-941b-012102014a1d"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="111" width="557" height="1" forecolor="#757575" uuid="35cdb72d-7a68-4a04-8c36-6ab7b0a00e25"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="129" width="557" height="1" forecolor="#757575" uuid="467f19e8-23eb-4b89-a74f-46a060a5b979"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="165" width="557" height="1" forecolor="#757575" uuid="2f7e351e-e22a-4ea2-acec-e361d4223b39"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="147" width="557" height="1" forecolor="#757575" uuid="2c01c2c8-b43e-4951-90f3-1f1a86945ba2"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="182" width="557" height="1" forecolor="#757575" uuid="4757b43b-5dd4-4314-a615-26d5899356c0"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="218" width="557" height="1" forecolor="#757575" uuid="235130ea-e680-4429-aae0-d0a9abdcd725"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>

			<line>
				<reportElement key="" x="-1" y="254" width="557" height="1" forecolor="#757575" uuid="066c2cde-261d-4f3e-9294-90e147b2859a"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="236" width="557" height="1" forecolor="#757575" uuid="02101b34-12e2-40eb-833c-46267e1375b1"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="200" width="557" height="1" forecolor="#757575" uuid="257b7e8c-a74a-4634-9392-d361a09a64f0"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="288" width="557" height="1" forecolor="#757575" uuid="0842d81d-3284-45a9-b5fc-bb1ad4a48c9c"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="271" width="557" height="1" forecolor="#757575" uuid="767bec61-fced-49cd-83ce-f68f427fbd82"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="305" width="557" height="1" forecolor="#757575" uuid="04b02997-d402-4f29-a63c-819d8028b60d"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>
			<line>
				<reportElement key="" x="-1" y="349" width="557" height="1" forecolor="#000000" backcolor="#000000" uuid="13a98861-bccf-4cf3-b9e7-1d02105bafc5"/>
				<graphicElement>
					<pen lineStyle="Solid"/>
				</graphicElement>
			</line>			
		</band>
	</detail>
	<pageFooter>
		<band height="45" splitType="Stretch">
			<staticText>
				<reportElement x="270" y="3" width="280" height="30" uuid="693f7669-98e4-49d5-9234-fbe36678e4aa"/>
				<textElement textAlignment="Right"/>
				<text><![CDATA[This document was generated for '.$school_name.', Ubuyu v'.$version.']]></text>
			</staticText>
			<textField pattern="MMMMM dd, yyyy">
				<reportElement x="3" y="0" width="100" height="30" uuid="f8884a50-2ed9-453c-abb4-8e6671943076"/>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
</jasperReport>';

$file_name="student_report_personal.jrxml";
file_put_contents($file_name,$xml_upper.$query.$xml_middle.$xml_repeat.$xml_bottom);

//database connection details
$server=DB_HOST;
$db=DB_NAME;
$user=DB_USER;
$pass=DB_PASSWORD;
 
//display errors should be off in the php.ini file
ini_set('display_errors', 0);
 
//setting the path to the created jrxml file
$xml =  simplexml_load_file("student_report_personal.jrxml");
 
$PHPJasperXML = new PHPJasperXML();
//$PHPJasperXML->debugsql=true;
//$PHPJasperXML->arrayParameter=array("parameter1"=>1);
$PHPJasperXML->xml_dismantle($xml);
 
$PHPJasperXML->transferDBtoArray($server,$user,$pass,$db);
$PHPJasperXML->outpage("I");    //page output method I:standard output  D:Download file
 
mysqli_close($dbc);
?>