<?php 
require_once('../includes/startsession.php');
require_once('../includes/connect.php');
require_once('../PhpJasperLibrary/tcpdf/tcpdf.php');
require_once("../PhpJasperLibrary/PHPJasperXML.inc.php");
require_once('../basic.config');
require_once('../config/ubuyu.config');

// Check whether there is a .jrxml file. If there is, delete it. 
if(is_file('leaving_certificates.jrxml')==true){
		unlink('leaving_certificates.jrxml');
}

$form=$_GET['form'];
$term_id=$_SESSION['term_id'];
// Change print-status to 'Done' 
$dbc=mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD, DB_NAME);			
$query="UPDATE sss_leaving SET leave_print_status=1 WHERE st_current_form='".$form."' AND term_id='".$term_id."'";
$result=mysqli_query($dbc,$query) or die('Error in Query!!');
		
// SET a query for the report. 
$query='SELECT * FROM sss_leaving WHERE st_current_form='.$form.' AND term_id='.$term_id.' ORDER BY st_serial_no ASC';
			
// SET report layout from original .jrxml file
$xml_upper='<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.1.0.final using JasperReports Library version 6.1.0  -->
<!-- 2015-08-27T16:19:16 -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="leaving_certificates" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="9158f8b5-37e7-4cc0-9790-c680747c67c9">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Ubuyu DB Adaptor"/>
	<queryString>
		<![CDATA[';		
$xml_bottom=']]>
	</queryString>
	<field name="st_serial_no" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="leave_name" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_admission_no" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_gender" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="leave_nationality" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_birthday" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_admission_date" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_form_id" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="st_current_form" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="leave_date" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="leave_remarks" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="3" splitType="Stretch"/>
	</pageHeader>
	<detail>
		<band height="782" splitType="Stretch">
			<staticText>
				<reportElement x="100" y="260" width="440" height="36" uuid="edacebd9-d6ba-41d7-a53e-74b3a6250019"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<text><![CDATA['.$school_name.']]></text>
			</staticText>
			<staticText>
				<reportElement x="50" y="315" width="456" height="30" uuid="c20e6fa0-5908-4596-84b0-6762a19a7a65"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<text><![CDATA['.$school_postal.']]></text>
			</staticText>
			<textField>
				<reportElement x="200" y="370" width="345" height="30" uuid="81e0a4f2-772d-48c7-ad34-0a148e54db60"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{leave_name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="200" y="396" width="345" height="30" uuid="12011b01-0731-4848-b6ec-b16fc9234790"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{st_admission_no}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="200" y="422" width="345" height="30" uuid="6a3cfdb6-527a-4873-b677-9400a2d1f684"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{st_gender}==0?
"M" :
"F"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="200" y="446" width="319" height="36" uuid="193edbab-c02a-4cc7-afd2-7b3410a08a06"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[Tanzanian]]></text>
			</staticText>
			<textField>
				<reportElement x="200" y="470" width="345" height="30" uuid="fad879c3-c211-47c1-8cf4-0a0d9347ad22"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{st_birthday}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="200" y="495" width="345" height="30" uuid="0955902d-bd12-4b86-822e-4b147086512a"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{st_admission_date}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="200" y="517" width="345" height="30" uuid="5616e0fb-ba8a-4dc1-95b5-c0673eab7d69"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{st_form_id}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="200" y="539" width="345" height="30" uuid="9f07c489-2408-4388-9b47-e25cbfad9701"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{st_current_form}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="200" y="561" width="345" height="30" uuid="96da4710-69c8-481e-9fac-41d5e16523ea"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{leave_date}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="120" y="592" width="420" height="58" uuid="dc0ca443-d51d-41f1-96d8-a903996916b4"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{leave_remarks}]]></textFieldExpression>
			</textField>
			<textField pattern="MMMMM dd, yyyy">
				<reportElement x="80" y="699" width="130" height="21" uuid="b7b67d98-5a17-4512-9f4b-04a3a9312407"/>
				<textElement>
					<font fontName="Monospaced" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="16" splitType="Stretch"/>
	</pageFooter>
</jasperReport>
';
			
$file_name="leaving_certificates.jrxml";
file_put_contents($file_name,$xml_upper.$query.$xml_bottom);
	
//database connection details
$server=DB_HOST;
$db=DB_NAME;
$user=DB_USER;
$pass=DB_PASSWORD;

 
//display errors should be off in the php.ini file
ini_set('display_errors', 0);
 
//setting the path to the created jrxml file
$xml =  simplexml_load_file("leaving_certificates.jrxml");
 
$PHPJasperXML = new PHPJasperXML();
//$PHPJasperXML->debugsql=true;
//$PHPJasperXML->arrayParameter=array("parameter1"=>1);
$PHPJasperXML->xml_dismantle($xml);
 
$PHPJasperXML->transferDBtoArray($server,$user,$pass,$db);
$PHPJasperXML->outpage("I");    //page output method I:standard output  D:Download file
mysqli_close($dbc);
?>

